using System;
using System.Collections.Generic;
using System.Text;
using Vevo.Domain.Base;
using Vevo.Domain.Contents;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface IContentRepository
    {
        Content Save( Content content );
        Content GetOne( Culture culture, string contentID );
        string GetIDByName( Culture culture, string contentName );
        string GetContentIDFromUrlName( string urlName );
        void Delete( string contentID );
        void DeleteLocalesByCultureID( string cultureID );
        IList<ILocale> GetLocales( string contentID );
        IList<Content> GetAll( Culture culture, BoolFilter showInSiteMap, string sortBy );
        IList<Content> SearchContent(
            Culture culture,
            string sortBy,
            SearchFilter searchFilter,
            int startIndex,
            int endIndex,
            out int howManyItems );
        IList<TableSchemaItem> GetTableSchema();
        IList<Content> AdvancedSearch(
            Culture culture,
            string storeID,
            string contentMenuItemIDs,
            string sortBy,
            string searchTerm,
            string[] searchFieldList,
            int startIndex,
            int endIndex,
            string searchType,
            out int howManyItems);
            }

}
