﻿using System;
using System.Collections.Generic;
using System.Text;
using Vevo.Domain.GoogleFeed;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface IGoogleFeedMappingRepository
    {
        IList<TableSchemaItem> GetGoogleOptionMappingTableSchema();
        GoogleOptionMapping SaveGoogleOptionMapping( Culture culture, GoogleOptionMapping googleOptionMapping );
        GoogleOptionMapping UpdateGoogleOptionMapping( Culture culture, string oldGoogleFeedTagID, string oldOptionGroupID, GoogleOptionMapping newGoogleOptionMapping );
        GoogleOptionMapping GetOneGoogleOptionMapping( Culture culture, string googleFeedTagID, string optionGroupID );
        IList<GoogleOptionMapping> GetAllGoogleOptionMapping( Culture culture );
        IList<GoogleOptionMapping> SearchGoogleOptionMapping(
            Culture culture,
            string sortBy,
            SearchFilter searchFilter,
            int startIndex,
            int endIndex,
            out int howManyItems );
        void DeleteGoogleOptionMapping( string googleFeedTagID, string optionGroupID );
        IList<TableSchemaItem> GetGoogleSpecMappingTableSchema();
        GoogleSpecMapping SaveGoogleSpecMapping( Culture culture, GoogleSpecMapping googleSpecMapping );
        GoogleSpecMapping UpdateGoogleSpecMapping( Culture culture, string oldTagValueID, string oldSpecValue, GoogleSpecMapping newGoogleSpecMapping );
        GoogleSpecMapping GetOneGoogleSpecMapping( Culture culture, string googleFeedTagValueID, string specificationItemValue );
        IList<GoogleSpecMapping> GetAllGoogleSpecMapping( Culture culture );
        IList<GoogleSpecMapping> SearchGoogleSpecMapping(
            Culture culture,
            string sortBy,
            SearchFilter searchFilter,
            int startIndex,
            int endIndex,
            out int howManyItems );
        void DeleteGoogleSpecMapping( string googleFeedTagValueID, string specificationValue );
    }
}
