﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Vevo.Domain.GoogleFeed;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface IGoogleFeedTagRepository
    {
        GoogleFeedTag Save( GoogleFeedTag googleFeedTag );
        IList<TableSchemaItem> GetTableSchema();
        GoogleFeedTag GetOne( string googleFeedTagID );
        IList<GoogleFeedTag> GetAll();
        IList<GoogleFeedTag> GetAll( string sortBy );
        IList<GoogleFeedTag> GetAllByTagTypeID( string googleFeedTagTypeID );
        IList<GoogleFeedTag> GetAllByTagTypeID( string sortBy, string googleFeedTagTypeID );
        void Delete( string googleFeedTagID );
        IList<GoogleFeedTag> SearchGoogleFeedTag(
            string sortBy,
            SearchFilter searchFilter,
            int startIndex,
            int endIndex,
            out int howManyItems );
    }
}
