using System;
using System.Collections.Generic;
using System.Text;
using Vevo.Domain.Users;

namespace Vevo.Domain.DataInterfaces
{
    public interface IStateRepository
    {
        State Create( State state );
        State Update( State state );
        State Update( State state, string newStateCode );
        State GetOne( string countryCode, string stateCode );
        void Delete( string countryCode, string stateCode );
        void DeleteByCountry( string countryCode );
        void DeleteAll();
        IList<State> GetAllByCountryCode( string countryCode, string sortBy, BoolFilter enabled );

    }
}
