using System;
using System.Collections.Generic;
using System.Text;

using Vevo.Domain.Products;
using Vevo.Domain.Users;

namespace Vevo.Domain.Orders
{
    public class OrderCartItem : CartItem
    {
        private decimal _unitPrice;

        public OrderCartItem(
            string shoppingCartID,
            Product product,
            int quantity,
            decimal unitPrice,
            OptionItemValueCollection options,
            CartItemGiftDetails giftDetails
            )
            : base( shoppingCartID, product, quantity, options, giftDetails )
        {
            _unitPrice = unitPrice;
        }

        public override decimal GetCheckoutUnitPrice( WholesaleStatus wholesaleStatus )
        {
            return _unitPrice;
        }
    }
}
