using System;
using Vevo.QuickBooks.Qbxml70;

namespace Vevo.QuickBooks.States
{
    /// <summary>
    /// Summary description for ProductModifyResponseState
    /// </summary>
    public class ProductModifyResponseState : QBWCState
    {
        private void MoveToNextState()
        {
            QBWCSession.CurrentState = new ProductAddRequestState( QBWCSession );
        }

        private void ProcessRecieve( string response )
        {
            QBXMLMsgsRs qbXmlMsgsRs = CreateResponse( response );

            int successCount = 0;
            int failureCount = 0;

            for (int i = 0; i < qbXmlMsgsRs.Items.Length; i++)
            {
                ItemNonInventoryModRsType result = (ItemNonInventoryModRsType) qbXmlMsgsRs.Items[i];
                if (result.statusCode.ToString() == "0")
                {
                    QBWCSession.AddQBFullNameList( result.ItemNonInventoryRet.Name, result.ItemNonInventoryRet.ListID );
                    successCount++;
                }
                else
                {
                    CreateQBLogItem( result.statusCode, result.statusSeverity, result.statusMessage, QBExportType.ProductModify );
                    failureCount++;
                }
            }
            CreateQBLogSummary( QBExportType.ProductModify, successCount, failureCount );
        }

        public ProductModifyResponseState( QBWCSession session )
            : base( session )
        {
        }

        public override int OnReceiveResponseXml( string responseXml )
        {
            ProcessRecieve( responseXml );
            MoveToNextState();
            return 56;
        }
    }
}