﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Serialization;
using System.ServiceModel;
using Vevo.WebServices.Customers;

namespace Vevo.WebServices.Orders
{
    [DataContract( Name = "OrderConstraints" )]
    public class OrderConstraints
    {
        [DataMember( IsRequired = true )]
        public string OrderID;
        [DataMember]
        public string CustomerID;
        [DataMember]
        public DateTime OrderDate;
        [DataMember]
        public string UserName;
        [DataMember]
        public string Email;
        [DataMember]
        public string CustomerComments;
        [DataMember]
        public DateTime ShippedDate;
        [DataMember]
        public string ShippingMethod;
        [DataMember]
        public string PaymentMethod;
        [DataMember]
        public string GatewayPaymentStatus;
        [DataMember]
        public string GatewayOrderID;
        [DataMember]
        public bool PaymentComplete;
        [DataMember]
        public bool Processed;
        [DataMember]
        public string Status;
        [DataMember]
        public bool Cancelled;
        [DataMember]
        public string IPAddress;
        [DataMember]
        public string CouponID;
        [DataMember]
        public decimal Subtotal;
        [DataMember]
        public decimal Tax;
        [DataMember]
        public decimal ShippingCost;
        [DataMember]
        public decimal CouponDiscount;
        [DataMember]
        public string BaseCurrencyCode;
        [DataMember]
        public string UserCurrencyCode;
        [DataMember]
        public double UserConversionRate;
        [DataMember]
        public string InvoiceNotes;
        [DataMember]
        public string GiftCertificateCode;
        [DataMember]
        public decimal GiftCertificate;
        [DataMember]
        public string TrackingNumber;
        [DataMember]
        public string TrackingMethod;
        [DataMember]
        public string GiftRegistryID;
        [DataMember]
        public bool ShowShippingAddress;
        [DataMember]
        public string ShippingID;
        [DataMember]
        public decimal HandlingFee;
        [DataMember]
        public DateTime QbPostDate;
        [DataMember]
        public string QbReferenceCode;
        [DataMember]
        public bool ContainsRecurring;
        [DataMember]
        public string ParentID;
        [DataMember]
        public string PaymentToken;
        [DataMember]
        public string AvsAddrStatus;
        [DataMember]
        public string AvsZipStatus;
        [DataMember]
        public string CvvStatus;
        [DataMember( IsRequired = true )]
        public string StoreID;
        [DataMember]
        public string QBTxnID;
        [DataMember]
        public bool IsQBExported;
        [DataMember]
        public string PONumber;
        [DataMember]
        public bool IsTaxExempt;
        [DataMember]
        public string TaxExemptID;
        [DataMember]
        public string TaxExemptCountry;
        [DataMember]
        public string TaxExemptState;

        [DataMember]
        public AddressConstraints Billing;
        [DataMember]
        public ShippingAddressConstraints Shipping;

        [DataMember]
        public List<OrderItemConstraints> OrderItems;

        #region Base Contract: Version 5.3
        [DataMember]
        public int RedeemPoint;
        [DataMember]
        public decimal RedeemPrice;
        [DataMember]
        public int PointEarned;
        [DataMember]
        public bool IsPointApplied;
        [DataMember]
        public bool IsSubscriptionApplied;
        #endregion
    }
}
