using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web.UI;
using Vevo.Domain;
using Vevo.Shared.WebUI;

namespace Vevo.WebUI.ServerControls
{
    [DefaultProperty( "ImageUrl" )]
    [ToolboxData( "<{0}:ImageButton runat=server></{0}:ImageButton>" )]
    public class ImageButton : System.Web.UI.WebControls.ImageButton
    {
        private string GetThemeImageUrl( string imageName )
        {
            if (UrlManager.IsMobile())
            {
                return "~/" + UrlManager.MobileFolder + "/" + imageName;
            }
            else if (UrlManager.IsFacebook())
            {
                return "~/" + UrlManager.FacebookFolder + "/" + imageName;
            }
            else
            {
                return "~/Themes/"
                    + DataAccessContext.Configurations.GetValueNoThrow( "StoreTheme" ) + "/" + imageName;
            }
        }

        public string ThemeImageUrl
        {
            get
            {
                if (ViewState["ThemeImageUrl"] != null)
                    return (string) ViewState["ThemeImageUrl"];
                else
                    return String.Empty;
            }
            set
            {
                ViewState["ThemeImageUrl"] = value;
                ImageUrl = GetThemeImageUrl( value );
            }
        }
    }
}
