using System;
using System.Collections.Generic;
using System.Text;
using Vevo.Shared.DataAccess;
using Vevo.WebAppLib;
using Vevo.Domain;
using System.Web;
using System.Collections.Specialized;
using Vevo.Shared.SystemServices;

namespace Vevo.WebUI
{
    public static class ConfigurationHelper
    {
        #region Private

        private static void SetUrlCultureID()
        {
            string urlCultureID = "0";
            try
            {
                string urlCultureName = DataAccessContext.Configurations.GetValue( "UrlCultureName" );
                urlCultureID = DataAccessContext.CultureRepository.GetIDByName( urlCultureName );
            }
            catch (Exception ex)
            {
                SaveLogFile.SaveLog( ex );
            }

            DataAccessHelper.UrlCultureID = urlCultureID;
        }

        //private static void SetUpSystemContext()
        //{
        //    NameValueCollection collection;
        //    try
        //    {
        //        collection = DataAccessContext.Configurations.GetNameValueCollectionSingleCulture();
        //    }
        //    catch
        //    {
        //        collection = new NameValueCollection();
        //    }
        //    MailSettings mailSettings = new MailSettings( collection );
        //    SystemServicesContext.MailSendService = new MailSendService( mailSettings );
        //}

        #endregion


        #region PublicMethods

        // This function should be called when configuration has been changed.
        public static void ApplyConfigurations()
        {
            SetUrlCultureID();
            //SetUpSystemContext();

            DataAccessHelper.LogError = new DataAccess.LogErrorCallback( WebUtilities.LogError );
        }

        public static void SetDomainRegistrationKey()
        {
            DataAccessHelper.DomainRegistrationkey = NamedConfig.DomainRegistrationKey;
            DataAccessHelper.DomainName = WebConfiguration.DomainName;
        }

        #endregion
    }
}
