﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web.UI.WebControls;
using Vevo.Domain.Products;

namespace Vevo.WebUI.Products
{
    public class ManufacturerNavMenuBuilder
    {
        #region Private

        private GetManufacturerUrlFunc _getManufacturerUrl;

        #endregion

        #region Constructors

        public delegate string GetManufacturerUrlFunc( object manufacturerID, object urlName );

        public ManufacturerNavMenuBuilder( GetManufacturerUrlFunc getManufacturerUrl )
        {
            _getManufacturerUrl = getManufacturerUrl;
        }

        #endregion

        #region Public Methods

        public MenuItem CreateMenuItem( Manufacturer manufacturer )
        {
            MenuItem newItem = new MenuItem();
            newItem.Text = manufacturer.Name;
            newItem.Value = manufacturer.ManufacturerID;

            newItem.NavigateUrl = _getManufacturerUrl( manufacturer.ManufacturerID, manufacturer.UrlName );

            return newItem;
        }

        #endregion
    }
}
